/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLUListElement_H__
#define __GdomHTMLUListElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLUListElement GdomHTMLUListElement;
typedef struct _GdomHTMLUListElementClass GdomHTMLUListElementClass;


#define GDOM_TYPE_HTMLU_LIST_ELEMENT            (gdom_htmlu_list_element_get_type())
#define GDOM_HTMLU_LIST_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTMLU_LIST_ELEMENT, GdomHTMLUListElement))
#define GDOM_HTMLU_LIST_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTMLU_LIST_ELEMENT, GdomHTMLUListElement)Class)
#define GDOM_IS_HTMLU_LIST_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTMLU_LIST_ELEMENT))
#define GDOM_IS_HTMLU_LIST_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTMLU_LIST_ELEMENT))
#define GDOM_HTMLU_LIST_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTMLU_LIST_ELEMENT, GdomHTMLUListElementClass))

typedef struct _GdomHTMLUListElementPrivate GdomHTMLUListElementPrivate;

struct _GdomHTMLUListElement {
    GdomHTMLElement parent_instance;
    GdomHTMLUListElementPrivate *priv;
};

struct _GdomHTMLUListElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_htmlu_list_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLUListElement_H__ */
